/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

var admobid = {};

var num = Math.random()*100;

var bannerId = "ca-app-pub-6976438723489261/9309246838";
var interstitialId = "ca-app-pub-6976438723489261/4488288703";

var vungleUnitId =  "59c37ec25d4296aa3b003214"//"57957294d6b5de265f000065";//"5753f14b23be69cf2b000075";

admobid = { // for iOS
    banner: bannerId,
    interstitial: interstitialId
};
var MIKEDEVICESTR="10.0"
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        // screen.lockOrientation('portrait');
         //screen.lockOrientation('landscape');
        MIKEDEVICESTR = device.version;
        app.checkConnection();
    },
    checkConnection:function() {
        var connectionTimer = setInterval(function(){
            console.log('in the connection timer')
            var networkState = navigator.connection.type;

            var states = {};
            states[Connection.UNKNOWN]  = 'Unknown connection';
            states[Connection.ETHERNET] = 'Ethernet connection';
            states[Connection.WIFI]     = 'WiFi connection';
            states[Connection.CELL_2G]  = 'Cell 2G connection';
            states[Connection.CELL_3G]  = 'Cell 3G connection';
            states[Connection.CELL_4G]  = 'Cell 4G connection';
            states[Connection.CELL]     = 'Cell generic connection';
            states[Connection.NONE]     = 'No network connection';
            if(networkState ===Connection.NONE){
                //alert('Connection type: ' + states[networkState]);

                navigator.notification.alert(
                    '打开方法：设置->找到应用->允许无线数据',
                    // message
                    function(){},         // callback
                    '游戏需要网络连接(Network Error)',           // title
                    'OK'                  // buttonName
                );
            }
            else{
                clearInterval(connectionTimer);
                console.log('connected')

                AdMob.prepareInterstitial({
                    adId:admobid.interstitial,
                    // isTesting:true,
                    autoShow:false
                });

                app.initVungle();
                app.initUnity();
                //gamecenter.auth(function(){},function(e){});
            }
        },1000*10);



    },
    initUnity:function(){
        var gameId = "1100368";
        var videoAdPlacementId = "defaultZone";
        var rewardedVideoAdPlacementId = "rewardedVideo";
        var isTest = false;
        window.unityads.setUp(gameId, videoAdPlacementId, rewardedVideoAdPlacementId, isTest);

        //
        window.unityads.onVideoAdLoaded = function() {
            // alert('onVideoAdLoaded');
        };
        window.unityads.onVideoAdShown = function() {
            // alert('onVideoAdShown');
        };
        window.unityads.onVideoAdHidden = function() {
            //alert('onVideoAdHidden');
        };
        //
        window.unityads.onRewardedVideoAdLoaded = function() {
            // alert('onRewardedVideoAdLoaded');
        };
        window.unityads.onRewardedVideoAdShown = function() {
            //alert('onRewardedVideoAdShown');
        };
        window.unityads.onRewardedVideoAdHidden = function() {
            // alert('onRewardedVideoAdHidden');
        };
        window.unityads.onRewardedVideoAdCompleted = function() {
            //alert('onRewardedVideoAdCompleted');
            // _0x7859x96();
        };
    },
    initVungle:function(){

        //var num = Math.random()*100;
        //if(num<30){
        //    appId= "576896d7a6d78e28460000ee";
        //}


        window.vungle.setUp(vungleUnitId);

        window.vungle.onRewardedVideoAdLoaded = function() {
            // alert('onRewardedVideoAdLoaded');
        };
        window.vungle.onRewardedVideoAdShown = function() {
            //alert('onRewardedVideoAdShown');
        };
        window.vungle.onRewardedVideoAdHidden = function() {
            //ToggleMusic();
            //alert('onRewardedVideoAdHidden');
        };
        window.vungle.onRewardedVideoAdCompleted = function() {
            //alert('onRewardedVideoAdCompleted');

        };
    },
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

app.initialize();

setTimeout(function(){
    try{
        if(/(ipad)/i.test(navigator.userAgent)){
            console.log('ipad')
            AdMob.createBanner( {
                adId: admobid.banner,
                position: AdMob.AD_POSITION.BOTTOM_CENTER,
                //adSize:'BANNER',

                overlap:false,
                offsetTopBar: true,
                autoShow:true,
                bgColor: '#000000'
            } );
        }
        else{//iphone
            console.log('iphone');
            AdMob.createBanner( {
                adId: admobid.banner,
                position: AdMob.AD_POSITION.BOTTOM_CENTER,
                //adSize:'BANNER',

                overlap:false,
                offsetTopBar: true,
                autoShow:true,
                bgColor: '#000000'
            } );
        }


    }catch(e){
        console.log('show ads error')
    }
},1000*20);

//setInterval(function(){
//    try{
//        AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER );
//    }catch(e){
//        console.log('show ads error')
//    }
//},1000*60);

//
//var adsInterval = setInterval(function(){
//
//    if(ADS_TYPE&&ADS_TYPE===2){
//        console.log('show ads type 2');
//        if(!MIKE_isAfter3Days()){
//            console.log('nottime')
//            return;
//        }
//        else{
//            SHOWINTERADS2(1);
//
//        }
//
//    }
//    else{
//        console.log('show ads type 1');
//        if(!MIKE_isAfter3Days()){
//            console.log('nottime')
//            return;
//        }
//        else{
//            SHOWINTERADS(1);
//        }
//
//    }
//},1000*150);

var SHOWINTERADS2=function(){
    try{
        var num = Math.random();

        if(1&& window.unityads.loadedRewardedVideoAd()){
            window.unityads.showRewardedVideoAd()

        }else{

            AdMob.isInterstitialReady(function(){
                    navigator.notification.alert(
                        'Have a Rest',
                        // message
                        function(){
                            AdMob.showInterstitial();

                        },         // callback
                        '休息一下 :)',           // title
                        'OK'                  // buttonName
                    );
                },function(){
                    AdMob.prepareInterstitial({
                        adId:admobid.interstitial,
                        autoShow:false
                    });
                }
            )

        }

        AdMob.prepareInterstitial({
            adId:admobid.interstitial,
            autoShow:false
        });

    }catch(e){
        console.log('show ads error')
    };
};
var MIKE_isAfter3Days=function(){
    var date1 = new Date("4/17/2018");
    var date2 = new Date();

    var date_diff = Math.abs(date2.getTime() - date1.getTime())/86400000;
    //console.log(date_diff)
    if(date_diff>=15){
        return true;
    }
    else{
        return false;
    }
}
var MIKE_GI = 0;
var SHOWINTERADS=function(time){


    if(time===undefined){
        console.log('time not defined,then set for 3')
        time=3;
    }
    MIKE_GI++;
    console.log("MIKE_GI:"+MIKE_GI);
    if(MIKE_GI<time){
        //nothing
    }
    else{
        MIKE_GI=0;

        try{
            var num = Math.random();
            console.log('num:'+num);
            if(num<0.1 && window.vungle.loadedRewardedVideoAd){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime')
                    return;
                }
                window.vungle.showRewardedVideoAd();

            }
            else if(num<0.2 && window.unityads.loadedRewardedVideoAd()){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime')
                    return;
                }

                window.unityads.showRewardedVideoAd()

            }else{
                AdMob.showInterstitial();

            }

            AdMob.prepareInterstitial({
                adId:admobid.interstitial,
                autoShow:false
            });

        }catch(e){
            console.log('show ads error')
        };
    }

};
var SHOWINTERADS5=function(time){




        try{
            var num = Math.random();
            console.log('num:'+num);
            if(num<0.1 && window.vungle.loadedRewardedVideoAd){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime')
                    return;
                }
                window.vungle.showRewardedVideoAd();

            }
            else if(num<0.2 && window.unityads.loadedRewardedVideoAd()){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime');
                    return;
                }

                window.unityads.showRewardedVideoAd()

            }else{
                AdMob.showInterstitial();

            }

            AdMob.prepareInterstitial({
                adId:admobid.interstitial,
                autoShow:false
            });

        }catch(e){
            console.log('show ads error')
        };


};
var MIKE_GI2 = 0;
var SHOWINTERADS6=function(time){


    if(time===undefined){
        console.log('time not defined,then set for 3')
        time=3;
    }
    MIKE_GI2++;
    console.log("MIKE_GI2:"+MIKE_GI2);
    if(MIKE_GI2<time){
        //nothing
    }
    else{
        MIKE_GI2=0;

        try{
            var num = Math.random();
            console.log('num:'+num);
            if(num<0.1 && window.vungle.loadedRewardedVideoAd){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime')
                    return;
                }
                window.vungle.showRewardedVideoAd();

            }
            else if(num<0.2 && window.unityads.loadedRewardedVideoAd()){
                if(!MIKE_isAfter3Days()){
                    console.log('nottime')
                    return;
                }

                window.unityads.showRewardedVideoAd()

            }else{
                AdMob.showInterstitial();

            }

            AdMob.prepareInterstitial({
                adId:admobid.interstitial,

                autoShow:false
            });

        }catch(e){
            console.log('show ads error')
        };
    }

};
var OpenTomMoreGame=function(){

    var iosUrl ="itms-apps://itunes.apple.com/us/artist/id1366709151";//wuchunjuan
    window.open(iosUrl);


}
setTimeout(function(){

    cordova.plugins.notification.badge.set(1);

},2*1000*50); //6 seconds



function MikeCompVersions(strV1, strV2) {
    var nRes = 0
        , parts1 = strV1.split('.')
        , parts2 = strV2.split('.')
        , nLen = Math.max(parts1.length, parts2.length);

    for (var i = 0; i < nLen; i++) {
        var nP1 = (i < parts1.length) ? parseInt(parts1[i], 10) : 0
            , nP2 = (i < parts2.length) ? parseInt(parts2[i], 10) : 0;

        if (isNaN(nP1)) { nP1 = 0; }
        if (isNaN(nP2)) { nP2 = 0; }

        if (nP1 != nP2) {
            nRes = (nP1 > nP2) ? 1 : -1;
            break;
        }
    }

    return nRes;
};
function getDayMillDiffMike(refday){
    var days = {
        monday: 1,
        tuesday: 2,
        wednesday: 3,
        thursday: 4,
        friday: 5,
        saturday: 6,
        sunday: 0
    };
    if(!days.hasOwnProperty(refday))throw new Error(refday+" is not listed in "+JSON.stringify(days));
    var curr = new Date();
    var triggerDay = days[refday];
    var dayMillDiff=0;
    var dayInMill = 1000*60*60*24;
    // add a day as long as refday(sunday for instance) is not reached
    while(curr.getDay()!=triggerDay){
        dayMillDiff += dayInMill;
        curr = new Date(curr.getTime()+dayInMill);
    }
    return dayMillDiff;
}
setTimeout(function(){
    if(MikeCompVersions(MIKEDEVICESTR,'10')>=0){

        console.log('go local');

        var min = Math.round(Math.random()*58);
        var hourG=[11,12,13,17,18,19,20,21];
        var k = Math.floor(Math.random()*hourG.length);
        var hour= hourG[k];
        var finalTime={'h':hour,'m':min};
        console.log('h:'+finalTime.h+' m:'+finalTime.m);
        //cordova.plugins.notification.local.schedule({
        //    title: '玩一局吧！',
        //
        //    trigger: { every: {hour:finalTime.h, minute: finalTime.m } }
        //});
        ////alert('sh down');

        var today = new Date();
        var monday = today.getTime() + getDayMillDiffMike("friday");

        var monday_10_am = new Date(monday);
        monday_10_am.setHours(hour,min,0);
try{
    cordova.plugins.notification.local.schedule({

        title: '玩一局吧！',

        firstAt: monday_10_am
    });
}catch (e){

}

    }
},2*1000);

